<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Services/BiosSocialService.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dee/_bios_social_service_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BiosSocialService.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/dee/_bios_social_service_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html">    4</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">    6</a></span>    <span class="keywordtype">string</span>  <a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">m_Uid</a>;          </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">    7</a></span>    <span class="keywordtype">string</span>  <a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">m_DisplayName</a>;  </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">    8</a></span>    <span class="keywordtype">bool</span>    <a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">m_IsFavorite</a>;   </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">    9</a></span>    <span class="keywordtype">bool</span>    <a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">m_IsFollowed</a>;   </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/d49/class_bios_friend_info.html#af02087c91ff7bcd9ded5790b13ea37ac">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d49/class_bios_friend_info.html#af02087c91ff7bcd9ded5790b13ea37ac">Compare</a>( <a class="code hl_class" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a> a, <a class="code hl_class" href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a> b )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">return</span> ( a.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">m_Uid</a> == b.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">m_Uid</a> &amp;&amp; a.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">m_DisplayName</a> == b.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">m_DisplayName</a> &amp;&amp; a.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">m_IsFavorite</a> == b.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">m_IsFavorite</a> &amp;&amp; a.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">m_IsFollowed</a> == b.<a class="code hl_variable" href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">m_IsFollowed</a> );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>};</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/dee/_bios_social_service_8c.html#a28fce51bcc968a7b375c0149e27c58af">   17</a></span><span class="keyword">typedef</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref BiosFriendInfo&gt;</a> <a class="code hl_typedef" href="../../db/dee/_bios_social_service_8c.html#a28fce51bcc968a7b375c0149e27c58af">BiosFriendInfoArray</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d1/d06/class_bios_social_service.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d06/class_bios_social_service.html">BiosSocialService</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d1/d06/class_bios_social_service.html#ab39dc029f2dff09f6181a86f06f91cd6">   32</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d1/d06/class_bios_social_service.html#ab39dc029f2dff09f6181a86f06f91cd6">ShowUserProfileAsync</a>(<span class="keywordtype">string</span> uid_target);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d1/d06/class_bios_social_service.html#a1da630780fdb4edfc0dd2c714fecb8c2">   40</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d1/d06/class_bios_social_service.html#a1da630780fdb4edfc0dd2c714fecb8c2">GetFriendsAsync</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/d06/class_bios_social_service.html#a51ea0ae9ab75f2a1b9d7bf12f7735ced">   48</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d06/class_bios_social_service.html#a51ea0ae9ab75f2a1b9d7bf12f7735ced">OnUserProfileAsync</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a119a087b55816002b374295c21575eb9">OnUserProfileAsync</a>( error );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d1/d06/class_bios_social_service.html#a40353cc644d06cfef8bf0ff8a2e677c4">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d06/class_bios_social_service.html#a40353cc644d06cfef8bf0ff8a2e677c4">OnFriendsAsync</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">BiosFriendInfoArray</a> friend_list, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ae8297f22360e4ca5904207741f4038b0">OnFriendsAsync</a>( friend_list, error );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="ttc" id="a_b_i_o_s_error_module_8c_html_a112301e9d14b76a1669e09f081559cd1"><div class="ttname"><a href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a></div><div class="ttdeci">EBiosError</div><div class="ttdoc">Possible Error codes for bios API. This is the list of errors that can be returned from bios API....</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00006">BIOSErrorModule.c:7</a></div></div>
<div class="ttc" id="a_bios_social_service_8c_html_a28fce51bcc968a7b375c0149e27c58af"><div class="ttname"><a href="../../db/dee/_bios_social_service_8c.html#a28fce51bcc968a7b375c0149e27c58af">BiosFriendInfoArray</a></div><div class="ttdeci">array&lt; ref BiosFriendInfo &gt; BiosFriendInfoArray</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00017">BiosSocialService.c:17</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html">BiosFriendInfo</a></div><div class="ttdoc">BiosFriendInfo represents friend information.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00004">BiosSocialService.c:5</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html_a0f77faeb70054d6d0c178faf423cf519"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html#a0f77faeb70054d6d0c178faf423cf519">BiosFriendInfo::m_DisplayName</a></div><div class="ttdeci">string m_DisplayName</div><div class="ttdoc">The Displayable nick name of the friend.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00007">BiosSocialService.c:7</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html_a104077a7365191f3721057c1476d2637"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html#a104077a7365191f3721057c1476d2637">BiosFriendInfo::m_IsFavorite</a></div><div class="ttdeci">bool m_IsFavorite</div><div class="ttdoc">Xbox: Is a favorite friend?</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00008">BiosSocialService.c:8</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html_a8f52f6538805ba81488262831ef07e0d"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html#a8f52f6538805ba81488262831ef07e0d">BiosFriendInfo::m_Uid</a></div><div class="ttdeci">string m_Uid</div><div class="ttdoc">The Uid of the friend.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00006">BiosSocialService.c:6</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html_ac24f84bf0852f9c143a858b2d147d409"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html#ac24f84bf0852f9c143a858b2d147d409">BiosFriendInfo::m_IsFollowed</a></div><div class="ttdeci">bool m_IsFollowed</div><div class="ttdoc">Xbox: Is this a two-way friendship?</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00009">BiosSocialService.c:9</a></div></div>
<div class="ttc" id="aclass_bios_friend_info_html_af02087c91ff7bcd9ded5790b13ea37ac"><div class="ttname"><a href="../../de/d49/class_bios_friend_info.html#af02087c91ff7bcd9ded5790b13ea37ac">BiosFriendInfo::Compare</a></div><div class="ttdeci">static bool Compare(BiosFriendInfo a, BiosFriendInfo b)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00011">BiosSocialService.c:11</a></div></div>
<div class="ttc" id="aclass_bios_social_service_html"><div class="ttname"><a href="../../d1/d06/class_bios_social_service.html">BiosSocialService</a></div><div class="ttdoc">BiosSocialService is used to query friend list and other social features for the current user.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00023">BiosSocialService.c:24</a></div></div>
<div class="ttc" id="aclass_bios_social_service_html_a1da630780fdb4edfc0dd2c714fecb8c2"><div class="ttname"><a href="../../d1/d06/class_bios_social_service.html#a1da630780fdb4edfc0dd2c714fecb8c2">BiosSocialService::GetFriendsAsync</a></div><div class="ttdeci">proto native EBiosError GetFriendsAsync()</div><div class="ttdoc">Query for friends list.</div></div>
<div class="ttc" id="aclass_bios_social_service_html_a40353cc644d06cfef8bf0ff8a2e677c4"><div class="ttname"><a href="../../d1/d06/class_bios_social_service.html#a40353cc644d06cfef8bf0ff8a2e677c4">BiosSocialService::OnFriendsAsync</a></div><div class="ttdeci">void OnFriendsAsync(BiosFriendInfoArray friend_list, EBiosError error)</div><div class="ttdoc">Async callback for GetFriendsAsync.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00058">BiosSocialService.c:58</a></div></div>
<div class="ttc" id="aclass_bios_social_service_html_a51ea0ae9ab75f2a1b9d7bf12f7735ced"><div class="ttname"><a href="../../d1/d06/class_bios_social_service.html#a51ea0ae9ab75f2a1b9d7bf12f7735ced">BiosSocialService::OnUserProfileAsync</a></div><div class="ttdeci">void OnUserProfileAsync(EBiosError error)</div><div class="ttdoc">Async callback for ShowUserProfileAsync.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/dee/_bios_social_service_8c_source.html#l00048">BiosSocialService.c:48</a></div></div>
<div class="ttc" id="aclass_bios_social_service_html_ab39dc029f2dff09f6181a86f06f91cd6"><div class="ttname"><a href="../../d1/d06/class_bios_social_service.html#ab39dc029f2dff09f6181a86f06f91cd6">BiosSocialService::ShowUserProfileAsync</a></div><div class="ttdeci">proto native EBiosError ShowUserProfileAsync(string uid_target)</div><div class="ttdoc">Display small system UI profile for the target.</div></div>
<div class="ttc" id="aclass_online_services_html"><div class="ttname"><a href="../../d0/d36/class_online_services.html">OnlineServices</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00001">OnlineServices.c:2</a></div></div>
<div class="ttc" id="aclass_online_services_html_a119a087b55816002b374295c21575eb9"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a119a087b55816002b374295c21575eb9">OnlineServices::OnUserProfileAsync</a></div><div class="ttdeci">static void OnUserProfileAsync(EBiosError error)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00260">OnlineServices.c:260</a></div></div>
<div class="ttc" id="aclass_online_services_html_ae8297f22360e4ca5904207741f4038b0"><div class="ttname"><a href="../../d0/d36/class_online_services.html#ae8297f22360e4ca5904207741f4038b0">OnlineServices::OnFriendsAsync</a></div><div class="ttdeci">static void OnFriendsAsync(BiosFriendInfoArray friend_list, EBiosError error)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00265">OnlineServices.c:265</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4a9dcb1770818e47f33f91c96091773e.html">Services</a></li><li class="navelem"><a class="el" href="../../db/dee/_bios_social_service_8c.html">BiosSocialService.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
